public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: selinux-policy/samba-bgqd-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:23:33 GMT [thread overview]
Message-ID: <178913301307.1.17068087569877795039.tests-selinux-99d4f9ac36e6@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 99d4f9ac36e6be6b4c1b1151509b73f02bb4026f
Author : Stepan Broz <sbroz@redhat.com>
Date : 2026-02-23T13:13:22+00:00
Stats : +8/-5 in 2 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/99d4f9ac36e6be6b4c1b1151509b73f02bb4026f?branch=pr775-checkpolicy-revdeps
Log:
selinux-policy/samba-bgqd-and-similar: Adjust subtest relevancy
RHEL-95985 fix in RHEL-9.8
RHEL-93731 fix in RHEL-10.2
Do not test in lower versions.
---
diff --git a/selinux-policy/samba-bgqd-and-similar/main.fmf b/selinux-policy/samba-bgqd-and-similar/main.fmf
index 17d8035..897c57c 100644
--- a/selinux-policy/samba-bgqd-and-similar/main.fmf
+++ b/selinux-policy/samba-bgqd-and-similar/main.fmf
@@ -40,9 +40,10 @@ link:
- verifies: https://issues.redhat.com/browse/RHEL-72860
- verifies: https://issues.redhat.com/browse/RHEL-72861
- verifies: https://issues.redhat.com/browse/RHEL-93731
+ - verifies: https://issues.redhat.com/browse/RHEL-95985
adjust+:
- enabled: false
- when: distro == rhel-4, rhel-5, rhel-6, rhel-7, rhel-8
+ when: distro < rhel-9
continue: false
extra-summary: /CoreOS/selinux-policy/Regression/samba-bgqd-and-similar
extra-task: /CoreOS/selinux-policy/Regression/samba-bgqd-and-similar
diff --git a/selinux-policy/samba-bgqd-and-similar/runtest.sh b/selinux-policy/samba-bgqd-and-similar/runtest.sh
index e7d3fe7..71bae99 100755
--- a/selinux-policy/samba-bgqd-and-similar/runtest.sh
+++ b/selinux-policy/samba-bgqd-and-similar/runtest.sh
@@ -88,10 +88,12 @@ rlJournalStart
rlSESearchRule "allow samba_bgqd_t cupsd_t : unix_stream_socket { connectto } [ ]"
rlPhaseEnd
- rlPhaseStartTest "RHEL-93731"
- rlSEMatchPathCon "/var/lib/samba/private/msg.sock/668534" "samba_var_t"
- rlSESearchRule "allow samba_bgqd_t smbd_t : unix_dgram_socket { sendto } [ ]"
- rlPhaseEnd
+ if ! rlIsRHEL "<9.8" && ! ( rlIsRHEL 10 && rlIsRHEL "<10.2" ); then
+ rlPhaseStartTest "RHEL-93731 + RHEL-95985"
+ rlSEMatchPathCon "/var/lib/samba/private/msg.sock/668534" "samba_var_t"
+ rlSESearchRule "allow samba_bgqd_t smbd_t : unix_dgram_socket { sendto } [ ]"
+ rlPhaseEnd
+ fi
fi
if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
reply other threads:[~2026-09-11 13:23 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913301307.1.17068087569877795039.tests-selinux-99d4f9ac36e6@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox